function wpi(name,sorce) {
	lf('wpi');
	try {
		var colItems = objWMIService.ExecQuery("SELECT * FROM " + sorce,"WQL");
		var enumItems = new Enumerator(colItems);
		for (; !enumItems.atEnd(); enumItems.moveNext()) {
			  var objItem = enumItems.item();
			  eval("var ret = objItem." + name + ";");
			  ret = ret.replace('null','');
			  ret = ret.replace('undefined','');
			  return ret;
		}
	}
	catch(e) { return ""; }
}
var RAM = wpi('TotalPhysicalMemory','Win32_ComputerSystem')/1024/1024;
var CPU = RegRead("HKLM\\HARDWARE\\DESCRIPTION\\System\\CentralProcessor\\0\\ProcessorNameString");
var GPU = wpi('Caption','Win32_VideoController');
